import gate.multiplier.MultiplierRole
import gate.multiplier.MultiplierUser
import gate.multiplier.MultiplierUserRole

class BootStrap {
  def springSecurityService

  def init = { servletContext ->
    // create some default security stuff
    if(MultiplierRole.count() == 0) {
      def adminRole = new MultiplierRole(authority: 'ROLE_ADMIN').save(flush: true)
      def userRole = new MultiplierRole(authority: 'ROLE_USER').save(flush: true)

      String password = springSecurityService.encodePassword('ChangeMePlease!!!')
      def testUser = new MultiplierUser(username: 'admin', enabled: true, password: password)
      testUser.save(flush: true)
      MultiplierUserRole.create testUser, adminRole, true

      assert MultiplierUser.count() == 1
      assert MultiplierRole.count() == 2
      assert MultiplierUserRole.count() == 1
    }
  } // init

} // BootStrap
